Bug 594835 - [abrt] crash in x-tile-1.4-3.fc12: core.py:724:tile_horizontally:AttributeError: 'module' object has no attribute '_'
[abrt] crash in x-tile-1.4-3.fc12: core.py:724:tile_horizontally:AttributeErr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: x-tile (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
abrt_hash:361a55b5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 13:55 EDT by thunderingexile
Modified: 2010-06-23 13:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: x-tile-1.5.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 13:45:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (544 bytes, text/plain)
2010-05-21 13:55 EDT, thunderingexile
no flags Details

  None (edit)
Description thunderingexile 2010-05-21 13:55:37 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/x-tile --oaf-activate-iid=OAFIID:GNOME_X_Tile_Applet_Factory --oaf-ior-fd=25
component: x-tile
executable: /usr/bin/x-tile
kernel: 2.6.32.11-99.fc12.x86_64
package: x-tile-1.4-3.fc12
reason: core.py:724:tile_horizontally:AttributeError: 'module' object has no attribute '_'
release: Fedora release 12 (Constantine)

backtrace
-----
core.py:724:tile_horizontally:AttributeError: 'module' object has no attribute '_'

Traceback (most recent call last):
  File "/usr/share/x-tile/modules/core.py", line 724, in tile_horizontally
    self.dialog_warning(support._('At Least Two Windows Must be Checked in order to Execute the Tiling'))
AttributeError: 'module' object has no attribute '_'

Local variables in innermost frame:
number_of_windows: 0
args: (<gtk.Action object at 0x1874870 (GtkAction at 0x1a48b60)>,)
checked_windows_list: []
self: <core.XTile instance at 0x186ab48>

How to reproduce
-----
I clicked by mistake on a button to tile windows while having no window checkbox checked. However, if I try to reproduce it, either nothing happens or X-Tile applet windows closes.
Comment 1 thunderingexile 2010-05-21 13:55:39 EDT
Created attachment 415740 [details]
File: backtrace
Comment 2 Mohamed El Morabity 2010-06-01 18:39:31 EDT
Thanks for this bug report. Upstream got notified about this issue, and a forthcoming version will correct this bug. So stay tuned :-).
Comment 3 Fedora Update System 2010-06-01 20:01:17 EDT
x-tile-1.5-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/x-tile-1.5-2.fc13
Comment 4 Fedora Update System 2010-06-01 20:25:52 EDT
x-tile-1.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/x-tile-1.5-1.fc12
Comment 5 Fedora Update System 2010-06-01 20:39:16 EDT
x-tile-1.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/x-tile-1.5-1.fc11
Comment 6 Fedora Update System 2010-06-02 14:07:47 EDT
x-tile-1.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update x-tile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/x-tile-1.5-2.fc13
Comment 7 Fedora Update System 2010-06-03 13:58:00 EDT
x-tile-1.5-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/x-tile-1.5-3.fc12
Comment 8 Fedora Update System 2010-06-03 14:16:54 EDT
x-tile-1.5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/x-tile-1.5-3.fc11
Comment 9 Fedora Update System 2010-06-04 14:47:15 EDT
x-tile-1.5-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update x-tile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/x-tile-1.5-3.fc12
Comment 10 Fedora Update System 2010-06-04 14:51:00 EDT
x-tile-1.5-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update x-tile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/x-tile-1.5-3.fc11
Comment 11 Fedora Update System 2010-06-12 11:15:14 EDT
x-tile-1.5.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/x-tile-1.5.2-1.fc13
Comment 12 Fedora Update System 2010-06-12 11:34:13 EDT
x-tile-1.5.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/x-tile-1.5.2-1.fc11
Comment 13 Fedora Update System 2010-06-12 11:34:40 EDT
x-tile-1.5.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/x-tile-1.5.2-1.fc12
Comment 14 Fedora Update System 2010-06-14 13:06:50 EDT
x-tile-1.5.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update x-tile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/x-tile-1.5.2-1.fc11
Comment 15 Fedora Update System 2010-06-14 13:08:35 EDT
x-tile-1.5.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update x-tile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/x-tile-1.5.2-1.fc13
Comment 16 Fedora Update System 2010-06-23 13:45:51 EDT
x-tile-1.5.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-06-23 13:51:45 EDT
x-tile-1.5.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-06-23 13:52:56 EDT
x-tile-1.5.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.